## GstDirectControlBinding GstDirectControlBinding |

## Functions

GstControlBinding * | gst_direct_control_binding_new ()
GstControlBinding * | gst_direct_control_binding_new_absolute ()

## Properties

gboolean | absolute | Read / Write / Construct Only
GstControlSource * | control-source | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlBinding
                    ╰── GstDirectControlBinding

## Includes

    #include <libs/controller/gstdirectcontrolbinding.h>

## Description

## Functions

### gst_direct_control_binding_new ()

    GstControlBinding *
    gst_direct_control_binding_new (GstObject *object,
                                    const gchar *property_name,
                                    GstControlSource *cs);

### gst_direct_control_binding_new_absolute ()

    GstControlBinding *
    gst_direct_control_binding_new_absolute
                                   (GstObject *object,
                                    const gchar *property_name,
                                    GstControlSource *cs);

## Types and Values

## Property Details

### The `“absolute”` property

      “absolute”                 gboolean

Whether the control values are absolute.

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“control-source”` property

      “control-source”           GstControlSource *

The control source.

Flags: Read / Write / Construct